MCP Tools Reference: storage.googleapis.com

Tool: get_object_metadata

Gets the metadata of an object.

The following sample demonstrates how to use curl to invoke the get_object_metadata MCP tool.

Curl Request
curl --location 'https://storage.googleapis.com/storage/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_object_metadata",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetObjectMetadataRequest

JSON representation
{
  "bucketName": string,
  "objectName": string,
  "generation": string
}
Fields
bucketName

string

Required.

objectName

string

Required.

generation

string (int64 format)

Optional. If specified as non-zero, selects a specific revision of this object (as opposed to the latest version, the default).

Output Schema

Response message for GetObjectMetadata.

GetObjectMetadataResponse

JSON representation
{
  "bucketName": string,
  "objectName": string,
  "contentType": string,
  "size": string,
  "storageClass": string,
  "timeCreated": string,
  "timeLastModified": string,
  "generation": string
}
Fields
bucketName

string

The name of the bucket containing the object.

objectName

string

The name of the object.

contentType

string

The content type of the object.

size

string (int64 format)

The size of the object in bytes.

storageClass

string

The storage class of the object.

timeCreated

string (Timestamp format)

The time at which the object was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

timeLastModified

string (Timestamp format)

The time at which the object was last modified.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

generation

string (int64 format)

The generation of the object that was read.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌